# $Revision: 1.26 $, $Date: 2008/10/15 16:46:16 $
%define		_name		mcache
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)

%define		_beta	beta10
%define		_rel	3
Summary:	mcache PHP Extension
Summary(pl.UTF-8):	Rozszerzenie PHP mcache
Name:		php4-%{_name}
Version:	1.2.0
Release:	0.%{_beta}.%{_rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://www.klir.com/~johnm/php-mcache/php-mcache-ext-%{version}-%{_beta}.tar.gz
# Source0-md5:	b8c77e53d2c2af75411f574f7ed5e3b7
Source1:	php4-mcache.php
URL:		http://www.klir.com/~johnm/php-mcache/
BuildRequires:	libmemcache-devel >= 1.3.0
BuildRequires:	php4-devel >= 3:4.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php4-common >= 3:4.4.0-3
Conflicts:	php4-pecl-memcache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mcache is a PHP extension that aims to enable developers to easily and
efficiently cache data to Memcached servers.

The mcache PHP extension has been developed by John McCaskey and is a
wrapper around libmemcache.

The primary advantage to using this mcache extension over other PHP
extensions is speed, and functionality. Previously several PHP
memcache API's have existed. Several of these are very good
feature-wise, but very slow due to native PHP implementation. The PECL
extension has excellent speed (although not as good as mcache), but
does not support multiple servers. Users have been forced to choose
between speed and functionality. With the introduction of this new
extension that is no longer the case. Furthermore, because this
extension is based off libmemcache it will easily benefit from any
testing, bug fixes, or enhancements made to the underlying library.

%description -l pl.UTF-8
mcache to rozszerzenie PHP, którego celem jest umożliwienie
programistom łatwo i wydajnie cache'ować ane w serwerach Memcached.

Rozszerzenie PHP mcache zostało stworzone przez Johna McCaskeya i jest
wrapperem na libmemcache.

Głównymi zaletami używania tego rozszerzenia mcache nad innymi
rozszerzeniami PHP są szybkość oraz funkcjonalność. Wcześniej istniało
kilka różnych API memcache dla PHP. Kilka z nich było dobrych pod
względem funkcjonalności, ale wolnych ze względu na natywną
implementację w PHP. Rozszerzenie PECL miało znakomitą szybkość (choć
nie tak dobrą jak mcache), ale nie obsługiwało wielu serwerów
Użytkownicy byli zmuszeni do wybierania między szybkością a
funkcjonalnością. Wraz z wprowadzeniem tego nowego rozszerzenia
problem przestał istnieć. Co więcej, ponieważ to rozszerzenie jest
oparte na libmemcache, będzie łatwo korzystać z każdego testowania,
poprawek błędów czy rozszerzeń dokonanych w tej bibliotece.

%prep
%setup -q -n php-%{_name}-ext-%{version}%{?_beta:-%{_beta}}
cp %{SOURCE1} example.php

%build
phpize
%configure \
	--with-mcache \
	--with-php-config=%{_bindir}/php-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_name}.ini
; Enable %{_name} extension module
extension=%{_name}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php4_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php4_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README index.html example.php
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_name}.ini
%attr(755,root,root) %{extensionsdir}/mcache.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-mcache.spec,v $
Revision 1.26  2008/10/15 16:46:16  glen
- use php4_webserver_restart macro

Revision 1.25  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.24  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.23  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.22  2006/04/25 19:56:15  glen
- do it in proper section

Revision 1.21  2006/04/25 18:58:03  glen
- add conflict as memcached and mcache use same class name

Revision 1.20  2006/04/25 18:44:27  glen
- add real example

Revision 1.19  2006/02/03 22:58:14  glen
- fix postun

Revision 1.18  2005/10/30 10:27:34  glen
- rebuild with zts and debug requires [FN]

Revision 1.17  2005/10/27 15:57:38  glen
- beta10

Revision 1.16  2005/10/27 15:17:22  glen
- updated to 1.2.0-beta9
- rebuild with php(debug) and php(thread-safety) macros

Revision 1.15  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.14  2005/09/13 21:15:34  glen
- use new php/zend api macros

Revision 1.13  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.12  2005/09/11 22:39:20  glen
- full conf.d support and unifications

Revision 1.11  2005/09/07 14:11:33  glen
- phpize already calls aclocal

Revision 1.10  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.9  2005/08/23 22:46:45  glen
- use %requires_eq_to macro

Revision 1.8  2005/08/23 22:42:47  glen
- use .ini file in conf.d directory

Revision 1.7  2005/08/23 12:42:29  glen
- up to 1.2.0-beta7

Revision 1.6  2005/07/18 14:26:39  glen
- fix epoch for php-common

Revision 1.5  2005/07/14 15:15:07  glen
- hide errors from missing php-config

Revision 1.4  2005/06/27 09:03:28  glen
- fix license

Revision 1.3  2005/06/26 08:50:06  qboosh
- pl

Revision 1.2  2005/06/22 14:50:56  glen
- df friendly url

Revision 1.1  2005/06/22 13:36:13  glen
- new; works for php4 only
